Bug 35933 - feature to show not installed packages removed
feature to show not installed packages removed
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Preston Brown
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2001-04-14 10:01 EDT by Ivan Martinez
Modified: 2015-01-07 18:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-14 10:01:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ivan Martinez 2001-04-14 10:01:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.17-14 i586)

I have updated to 2.5.3-1
Before this version I have option to see all available packages, not only
the installed packages
This feature is very good, sometimes we need to install a package that are
not installed and is good to install the latest version.

Reproducible: Always
Steps to Reproduce:
1.up2date --configure
2.up2date --showall

Actual Results:  The option to get all packages are removed.
If I try to use the --showall on command line, the list is displayed in the
console and program stops.

Expected Results:  When using the --showall the program must have the old
behaviour and show all packages and permit the installation.
Comment 1 Preston Brown 2001-04-16 11:06:38 EDT
you may install any package or package(s) individually by passing them on the 
command line, regardless of whether or not they are installed.  The old method 
was simply too resource-intensive (all headers had to be downloaded).

Now, you can:

up2date --showall

and then pick some packages.  To install them:

up2date <uninst-packagename1> <uninst-packagename2>

It will work.
Comment 2 Ivan Martinez 2001-04-16 16:16:23 EDT
The old behaviour can be an option, because with the old behaviur I can know
what is a package looking at the info.
With this new format I get only the package name.

Note You need to log in before you can comment on or make changes to this bug.